ListPlans
GET
/billing/v1/plansQuery Parameters
currency?currency
The currency query parameter.
interval?interval
The interval query parameter.
free?free
The free query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/billing.v1.ListPlansResponse",
"$ref-value": {
"type": "object",
"properties": {
"plans": {
"type": "array",
"items": {
"$ref": "#/components/schemas/billing.v1.Plan",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "id"
},
"name": {
"type": "string",
"examples": [
"Pro"
],
"title": "name",
"maxLength": 64
},
"description": {
"type": "string",
"title": "description"
},
"price": {
"type": "string",
"examples": [
"29.99"
],
"title": "price"
},
"currency": {
"type": "string",
"examples": [
"usd"
],
"title": "currency"
},
"interval": {
"type": "string",
"title": "interval"
},
"plan_type": {
"allOf": [
{
"$ref": "#/components/schemas/billing.v1.PlanType",
"$ref-value": {
"type": "string",
"title": "PlanType",
"enum": [
"PLAN_TYPE_UNSPECIFIED",
"PLAN_TYPE_FREE",
"PLAN_TYPE_PAY_AS_YOU_GO",
"PLAN_TYPE_PRO",
"PLAN_TYPE_CUSTOM"
]
}
}
],
"examples": [
"PLAN_TYPE_PRO"
],
"title": "plan_type"
},
"interval_count": {
"type": "integer",
"examples": [
"5"
],
"title": "interval_count",
"format": "int32"
},
"sort_order": {
"type": "integer",
"examples": [
"5"
],
"title": "sort_order",
"format": "int32"
},
"features": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Struct",
"$ref-value": {
"type": "object",
"additionalProperties": {
"$ref": "#/components/schemas/google.protobuf.Value",
"$ref-value": {
"oneOf": [
{
"type": "null"
},
{
"type": "number"
},
{
"type": "string"
},
{
"type": "boolean"
},
{
"type": "array"
},
{
"type": "object",
"additionalProperties": true
}
],
"description": "Any JSON value: `null`, number, string, boolean, array, or object."
}
},
"description": "A JSON object whose property values may be any JSON value."
}
}
],
"title": "features"
},
"stripe_price_id": {
"type": "string",
"examples": [
"price_1QabcXYZ"
],
"title": "stripe_price_id"
},
"stripe_product_id": {
"type": "string",
"examples": [
"prod_QabcXYZ"
],
"title": "stripe_product_id"
},
"active": {
"type": "boolean",
"title": "active"
},
"is_public": {
"type": "boolean",
"title": "is_public"
}
},
"title": "Plan",
"additionalProperties": false
}
},
"title": "plans"
}
},
"title": "ListPlansResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/billing/v1/plans"Success
application/json
{
"$ref": "#/components/schemas/billing.v1.ListPlansResponse",
"$ref-value": {
"type": "object",
"properties": {
"plans": {
"type": "array",
"items": {
"$ref": "#/components/schemas/billing.v1.Plan",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "id"
},
"name": {
"type": "string",
"examples": [
"Pro"
],
"title": "name",
"maxLength": 64
},
"description": {
"type": "string",
"title": "description"
},
"price": {
"type": "string",
"examples": [
"29.99"
],
"title": "price"
},
"currency": {
"type": "string",
"examples": [
"usd"
],
"title": "currency"
},
"interval": {
"type": "string",
"title": "interval"
},
"plan_type": {
"allOf": [
{
"$ref": "#/components/schemas/billing.v1.PlanType",
"$ref-value": {
"type": "string",
"title": "PlanType",
"enum": [
"PLAN_TYPE_UNSPECIFIED",
"PLAN_TYPE_FREE",
"PLAN_TYPE_PAY_AS_YOU_GO",
"PLAN_TYPE_PRO",
"PLAN_TYPE_CUSTOM"
]
}
}
],
"examples": [
"PLAN_TYPE_PRO"
],
"title": "plan_type"
},
"interval_count": {
"type": "integer",
"examples": [
"5"
],
"title": "interval_count",
"format": "int32"
},
"sort_order": {
"type": "integer",
"examples": [
"5"
],
"title": "sort_order",
"format": "int32"
},
"features": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Struct",
"$ref-value": {
"type": "object",
"additionalProperties": {
"$ref": "#/components/schemas/google.protobuf.Value",
"$ref-value": {
"oneOf": [
{
"type": "null"
},
{
"type": "number"
},
{
"type": "string"
},
{
"type": "boolean"
},
{
"type": "array"
},
{
"type": "object",
"additionalProperties": true
}
],
"description": "Any JSON value: `null`, number, string, boolean, array, or object."
}
},
"description": "A JSON object whose property values may be any JSON value."
}
}
],
"title": "features"
},
"stripe_price_id": {
"type": "string",
"examples": [
"price_1QabcXYZ"
],
"title": "stripe_price_id"
},
"stripe_product_id": {
"type": "string",
"examples": [
"prod_QabcXYZ"
],
"title": "stripe_product_id"
},
"active": {
"type": "boolean",
"title": "active"
},
"is_public": {
"type": "boolean",
"title": "is_public"
}
},
"title": "Plan",
"additionalProperties": false
}
},
"title": "plans"
}
},
"title": "ListPlansResponse",
"additionalProperties": false
}
}